# Uses of Class
net.minestom.server.extras.selfmodification.MinestomExtensionClassLoader

Packages that use MinestomExtensionClassLoader
Package
Description
de.geolykt.starloader.mod
Package for all Extension-related stuff.
net.minestom.server.extras.selfmodification

## Uses of MinestomExtensionClassLoader in de.geolykt.starloader.mod

Fields in de.geolykt.starloader.mod declared as MinestomExtensionClassLoader
Modifier and Type
Field
Description
`MinestomExtensionClassLoader`
DiscoveredExtension.`loader`
Methods in de.geolykt.starloader.mod that return MinestomExtensionClassLoader
Modifier and Type
Method
Description
`@NotNull MinestomExtensionClassLoader`
ExtensionManager.`newClassLoader(@NotNull DiscoveredExtension extension)`
Creates a new class loader for the given extension.

## Uses of MinestomExtensionClassLoader in net.minestom.server.extras.selfmodification

Fields in net.minestom.server.extras.selfmodification with type parameters of type MinestomExtensionClassLoader
Modifier and Type
Field
Description
`protected final List<MinestomExtensionClassLoader>`
HierarchyClassLoader.`children`
Methods in net.minestom.server.extras.selfmodification with parameters of type MinestomExtensionClassLoader
Modifier and Type
Method
Description
`void`
HierarchyClassLoader.`addChild(@NotNull MinestomExtensionClassLoader loader)`
`void`
HierarchyClassLoader.`removeChildInHierarchy(MinestomExtensionClassLoader child)`